Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PrintWriter
Name | ### close()
Examples |
    PrintWriter output;

    void setup() {
      output = createWriter("positions.txt"); // Create a new file in the sketch directory
    }

    void draw() {
      point(mouseX, mouseY);
      output.println(mouseX); // Write the coordinate to the file
    }

    void keyPressed() {
      output.flush(); // Writes the remaining data to the file
      output.close(); // Finishes the file
      exit(); // Stops the program
    }
Description | Closes the PrintWriter object.
Syntax |
    pw.close()
Parameters |
pw | any object of the type PrintWriter
Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT